Subject: Clock register in early init

From: [email-masked] (Peter De Schrijver)
Date: Tue, 22 May 2012 15:08:52 +0300

> We had at-least that on the older Samsung parts and they where still
> growing. I would suggest that in a multi-kernel image situation the
> more data that can be discarded after init-time the better.
> 
> Also, __initdata gets gathered into one place so there's no possibility
> of page fragmentation there. If you mean fragmentation of the memory
> map, then allocate the size of all the clocks you know of at init time
> in one go.
> 

That would work, except that clocks are needed before kmalloc is available.

Cheers,

Peter.